
// ==========================================================================
// File:        TDx_Sound_Library_Defns.CPP
// Description: This file implements standard definitions used with the
//              TDx_Sound_Library components.
//
// "TDx_Sound_Library"
// (c) 2002, BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#include <vcl\vcl.h>
#pragma hdrstop

//---------------------------------------------------------------------------
#include "TDx_Sound_Library_Defns.H"
//---------------------------------------------------------------------------

// this is an empty wave file format
TDX_WAVE_FILE_FORMAT     DEFAULT_TDX_WAVE_FILE_FORMAT =
    {
    {{ 'R', 'I', 'F', 'F' }, 0x24000000, { 'W', 'A', 'V', 'E' }},       // RIFF
    {{ 'f', 'm', 't', ' ' }, 0x10, { 0x01, 0x01, 11025, 11025, 1, 8 }}, // FORMAT
    {{ 'd', 'a', 't', 'a' }, 0 }                                        // DATA
    };

//---------------------------------------------------------------------------
