// --------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

// ==========================================================================
// File:         TDx_Sound_Library_Install.CPP
// Authors:      BCB_Code_Generator v1.70,Darren Dwyer
// Description:  This file links all files required by the TDx_Sound_Library 
//               v1.70. 
//
// "TDx_Sound_Library v1.70"
// (c) 2003 BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#include "TDx_Sound_Library_Install.H"
// --------------------------------------------------------------------------
#pragma resource "TDx_Sound_Library_Icons.res"
// --------------------------------------------------------------------------
#pragma link "dxguid.lib"
// --------------------------------------------------------------------------
#pragma link "dsound.lib"
// --------------------------------------------------------------------------
#pragma link "TDx_Library_Defns"
#pragma link "TDx_Library_Functions"
#pragma link "TDx_Sound_Library_Defns"
#pragma link "TDx_Sound_Library_Functions"
// --------------------------------------------------------------------------
#pragma link "TDS3DBuffer"
#pragma link "TDS3DListener"
#pragma link "TDSBCaps"
#pragma link "TDSBPositionNotify"
#pragma link "TDSBufferDesc"
#pragma link "TDSCBCaps"
#pragma link "TDSCBufferDesc"
#pragma link "TDSCCaps"
#pragma link "TDSCaps"
#pragma link "TDx_Sound"
#pragma link "TDx_Sound3DBuffer"
#pragma link "TDx_Sound3DListener"
#pragma link "TDx_SoundBuffer"
#pragma link "TDx_SoundCapture"
#pragma link "TDx_SoundCaptureBuffer"
#pragma link "TDx_SoundKsPropertySet"
#pragma link "TDx_SoundNotify"
// --------------------------------------------------------------------------
namespace Tdx_sound_library_install
{
void __fastcall Register()
    {
    TComponentClass interface_classes[8] =
        {
        __classid(TDx_Sound),
        __classid(TDx_Sound3DBuffer),
        __classid(TDx_Sound3DListener),
        __classid(TDx_SoundBuffer),
        __classid(TDx_SoundCapture),
        __classid(TDx_SoundCaptureBuffer),
        __classid(TDx_SoundKsPropertySet),
        __classid(TDx_SoundNotify)
        };
    RegisterComponents( "TDx_Sound", interface_classes, 8-1 );
    // ----------------------------------------------------------------------
    TComponentClass wrapper_classes[9] =
        {
        __classid(TDS3DBuffer),
        __classid(TDS3DListener),
        __classid(TDSBCaps),
        __classid(TDSBPositionNotify),
        __classid(TDSBufferDesc),
        __classid(TDSCBCaps),
        __classid(TDSCBufferDesc),
        __classid(TDSCCaps),
        __classid(TDSCaps)
        };
    RegisterComponents( "TDx_Sound", wrapper_classes, 9-1 );
    }
}
// --------------------------------------------------------------------------
